package com.cityguide;

import android.app.Activity;

import android.content.Intent;
import android.content.res.Configuration;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;
import android.widget.ImageButton;




public class Sights_churches extends Activity {  
	
	@Override
	public void onConfigurationChanged(Configuration newConfig) {
	super.onConfigurationChanged(newConfig);
	}
	
	@Override
    public void onCreate(Bundle savedInstanceState) {
    super.onCreate(savedInstanceState);
    setContentView(R.layout.sights_churches); 
    
    
    final ImageButton index = (ImageButton) findViewById(R.id.logodown);
    index.setOnClickListener(new ImageButton.OnClickListener() {
        public void onClick(View v) {
        	openIndexActivity();
        }
    });

    final ImageButton train = (ImageButton) findViewById(R.id.train);
    train.setOnClickListener(new ImageButton.OnClickListener() {
         public void onClick(View v) {
         	openTram_mapActivity();
         }
     });
    
    final ImageButton bus = (ImageButton) findViewById(R.id.bus);
    bus.setOnClickListener(new ImageButton.OnClickListener() {
         public void onClick(View v) {
         	openBus_mapActivity();
         }
     });
    
    final Button ostrow= (Button) findViewById(R.id.tumski);
    ostrow.setOnClickListener(new Button.OnClickListener() {
         public void onClick(View v) {
         	openS_ostrowActivity();
         }
     });
    
    final Button dominican= (Button) findViewById(R.id.dominican);
    dominican.setOnClickListener(new Button.OnClickListener() {
         public void onClick(View v) {
         	openS_dominicanActivity();
         }
     });
    
    final Button franciscan= (Button) findViewById(R.id.franciscan);
    franciscan.setOnClickListener(new Button.OnClickListener() {
         public void onClick(View v) {
         	openS_franciscanActivity();
         }
     });
    
    final Button stanislaus= (Button) findViewById(R.id.stanislaus);
    stanislaus.setOnClickListener(new Button.OnClickListener() {
         public void onClick(View v) {
         	openS_stanislausActivity();
         }
     });
    
    final Button jewish= (Button) findViewById(R.id.jewish);
    jewish.setOnClickListener(new Button.OnClickListener() {
         public void onClick(View v) {
         	openS_jewishActivity();
         }
     });
    
	}
    
     
	private void openIndexActivity() {
    	startActivity(new Intent(this,Index.class));
    }
	
	private void openTram_mapActivity() {
    	startActivity(new Intent(this,Tram_map.class));
    }
    
    private void openBus_mapActivity() {
    	startActivity(new Intent(this,Bus_map.class));
    }
    
    private void openS_ostrowActivity() {
    	startActivity(new Intent(this,S_ostrow.class));
    }
    
    private void openS_dominicanActivity() {
    	startActivity(new Intent(this,S_dominican.class));
    }
    
    private void openS_franciscanActivity() {
    	startActivity(new Intent(this,S_franciscan.class));
    }
    
    private void openS_stanislausActivity() {
    	startActivity(new Intent(this,S_stanislaus.class));
    }
    
    private void openS_jewishActivity() {
    	startActivity(new Intent(this,S_jewish.class));
    }
}